Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.ejb
Interface QueryProperties

All Known Subinterfaces:
  Query, WLQueryProperties

public interface QueryProperties

Author:
  Copyright (c) 2001 by BEA WebXpress. All Rights Reserved.

Field Summary
`static short` | `TX_MANDATORY`
`static short` | `TX_REQUIRED`
`static short` | `TX_REQUIRES_NEW`

Method Summary
`boolean` | `getIncludeUpdates()`
`int` | `getMaxElements()`
`short` | `getTransaction()`
`boolean` | `isResultTypeRemote()`
`void` | `setIncludeUpdates(boolean value)` Used to specify whether any updates that have been made during the current transaction will be reflected in the query result.
`void` | `setMaxElements(int value)` Sets the maximum number of results that can be returned.
`void` | `setResultTypeRemote(boolean value)` Used to specify whether the results of the query will be EJBObjects or EJBLocalObjects.
`void` | `setTransaction(short value)` Uses the standard EJB values: Required, RequiresNew, etc.

Field Detail

### TX_REQUIRED

    public static final short TX_REQUIRED

### TX_REQUIRES_NEW

    public static final short TX_REQUIRES_NEW

### TX_MANDATORY

    public static final short TX_MANDATORY

Method Detail

### setTransaction

    public void setTransaction(short value)
                        throws javax.ejb.FinderException

  Uses the standard EJB values: Required, RequiresNew, etc. Default: Required

### getTransaction

    public short getTransaction()
                         throws javax.ejb.FinderException

### setMaxElements

    public void setMaxElements(int value)
                        throws javax.ejb.FinderException

  Sets the maximum number of results that can be returned. Default: no limit

### getMaxElements

    public int getMaxElements()
                       throws javax.ejb.FinderException

### setIncludeUpdates

    public void setIncludeUpdates(boolean value)
                           throws javax.ejb.FinderException

  Used to specify whether any updates that have been made during the current transaction will be reflected in the query result. Default: updates from the current transaction are not included

### getIncludeUpdates

    public boolean getIncludeUpdates()
                              throws javax.ejb.FinderException

### setResultTypeRemote

    public void setResultTypeRemote(boolean value)
                             throws javax.ejb.FinderException

  Used to specify whether the results of the query will be EJBObjects or EJBLocalObjects. This setting is only valid when an EJB with both a local and remote client view is returned. Default: false

### isResultTypeRemote

    public boolean isResultTypeRemote()
                               throws javax.ejb.FinderException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference